This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140393 - ppt which chrashes OO...
ppt which chrashes OO...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 14:11 EST by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.9.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 06:36:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 45172 None None None Never

  None (edit)
Description Kyrre Ness Sjøbæk 2004-11-22 14:11:24 EST
Description of problem:
A ppt-file i have (i shall attach it), chrashes OpenOffice every time,
in slide 16 ("Forces That Stabilize Nucleic Acid Double Helix")

I can "click on" three points: 
"There are two major forces that contribute to stability of helix
formation
 - Hydrogen bonding in base-pairing
 - Hydrophobic interactions and pi-electron interactions in base
stacking ",
and there are some fancy anymation going on in a figure. But when i
then hit the mouse, it comes up with an error that there is no more
memory left, close some programs (the mem/swap graph shows me there
is, not plenty, but no chrisis). If i then try to close it, it
eventually comes up with that a "critical error" has occured, and if i
THEN try to close it, gnome eventually comes to the rescue offering to
kill it.

On opening it asks about recovering the file trice

Version-Release number of selected component (if applicable):
1.1.2

How reproducible:
Every time (at least when using presentation mode)

Steps to Reproduce:
1. open the file "Lecture 6 DNA structure and recognition.ppt"
2. start the slide show
3. hit the crasher...
 
Actual results:
boom!

Expected results:
click, click, click...

Additional info:
Comment 1 Kyrre Ness Sjøbæk 2004-11-22 14:22:51 EST
Dork that attachment system! It took me 10 minutes to upload (2.5 MB,
ISDN...) - and it just whines *to large* *muhahah*... What about to
check that *before* upload?!?

You can find it at http://skrot.solution-forge.net
Comment 2 Dan Williams 2004-12-02 13:17:27 EST
Appears to be run-away memory allocation in
X11SalBitmap::ImplCreateXImage() and StretchAndConvert().  Happens
when showing slide #17 (The Structure of DNA), or at least right when
the last bit of text has been shown on slide #16 and the mouse is clicked.
Comment 3 Kyrre Ness Sjøbæk 2004-12-04 07:16:20 EST
Whatever... :)
Comment 4 Caolan McNamara 2005-03-16 06:36:19 EST
The crash is gone in 1.9.84-1 as in rawhide, but its still really slow to do the
animation. Will track the slowness issue as
http://qa.openoffice.org/issues/show_bug.cgi?id=45172

Note You need to log in before you can comment on or make changes to this bug.